cordova.define("cordova-plugin-mtoken.plugin", function(require, exports, module) { 
var exec = require('cordova/exec');

var PLUGIN_NAME = 'MTokenCordovaPlugin';

var MTokenCordovaPlugin = {
  /**
   * @param callback - javascript callback to execute when plugin is done
   */
  hasToken: function (callbackSuccess, callbackError) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'hasToken', null);
  },
  activateAndGetOtp: function (callbackSuccess, callbackError, clientId, activationCode, pin) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'activateAndGetOtp', [clientId, activationCode, pin]);
  },

  isBiometricsAvailable: function (callbackSuccess, callbackError) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'isBiometricsAvailable',
      []);
  },

  isBiometricsAvailableForThisToken: function (callbackSuccess, callbackError) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME,
      'isBiometricsAvailableForThisToken', []);
  },

  secureTokenWithBiometrics: function (callbackSuccess, callbackError, pin) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME,
      'secureTokenWithBiometrics', [pin]);
  },

  removeTokenBiometricsSecurity: function (callbackSuccess, callbackError, pin) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME,
      'removeTokenBiometricsSecurity', [pin]);
  },

  changePin: function (callbackSuccess, callbackError, pin, newPin) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'changePin', [pin, newPin]);
  },

  getOtpWithPinCheck: function (callbackSuccess, callbackError, pin, isLogin) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'getOtpWithPinCheck', [pin, isLogin]);
  },

  getOtpTppWithPinCheck: function (callbackSuccess, callbackError, pin, macInput) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'getOtpTppWithPinCheck', [pin, macInput]);
  },

  getOtpWithBiometrics: function (callbackSuccess, callbackError, isLogin) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'getOtpWithBiometrics',
      [isLogin]);
  },

  getOtpWithBiometricsWithPinCheck: function (callbackSuccess, callbackError, isLogin) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'getOtpWithBiometricsWithPinCheck',
      [isLogin]);
  },

  getOtpTppWithBiometrics: function (callbackSuccess, callbackError, macInput) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'getOtpTppWithBiometrics',
      [macInput]);
  },

  processMACNotification: function (callbackSuccess, callbackError, notificationType, jsonWebToken) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'processMACNotification',
      [notificationType, jsonWebToken]);

  },
  confirmPayment: function (callbackSuccess, callbackError, mdsInputs,
    transactionId) {
    exec(callbackSuccess, callbackError, PLUGIN_NAME, 'confirmPayment',
      [mdsInputs, transactionId]);
  }

};

// export plugin to js global namespace, in runtime this means that plugin is going to bee available on javascript
// window object
module.exports = MTokenCordovaPlugin;
});